/*  */
function mode_valchange_action(data_ary, dform) {
	if (data_ary) {
		var data = data_ary, 
			clas = "", itype = "", tval = "", mft = 0, scale = 0, sect = "", htpe = "",
			objt = "", alcs = "", ditem = "", field = "", fld = "", hstr = "";
		for (var i = 0; i < data.length; i++) {
			clas = data[i].FIELDCLAS;itype = "";tval = "";mft = 0;scale = 0;sect = "";htpe = "";
			objt = "";alcs = "";ditem = "";field = "";fld = "";hstr = "";
			switch (clas) {
				case "VAL":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue; else stid = $(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']");
					tval = data[i].FIELDSRC;objt = stid.attr("objt");
					if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
						switch (objt) {
							case "edFloat":
							case "edNumeric":
							case "edEditBtnF":
								if (tval) tval = tval.toString().replace(/,/g,'');
								mft = stid.attr("mft");
								scale = stid.attr("scale");
								if (mft == 1) tval = FloatCeil(tval, scale);
								else if (mft == 2) tval = FloatFloor(tval, scale);
								else tval = FloatRound(tval, scale);
								break;
							case "edyymmEdit":
								mft = stid.attr("mft");
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edyymmEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs+"_y").val(dateArray[0]);
									$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
								} else {
									switch (mft) {
										case "mmyy":
											if (tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[2]('+tval+')!');
												var dateArray = stid.attr("defv").split("/");
												tval = stid.attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[1]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[0]).substr(-2, 2)));
											break;
										case "yymm":
										default:
											if (tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[3]('+tval+')!');
												var dateArray = stid.attr("defv").split("/");
												tval = stid.attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[0]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
											break;
									}
								}
								break;
							case "edYearEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edYearEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).val(dateArray[0]);
								} else {
									if (tval.match("^[0-2][0-9][0-9][0-9]$")) {
										$(dform+" ."+alcs).val(tval);
									} else {
										console.log('edYearEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
								}
								break;
							case "edMonthEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edMonthEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).val(dateArray[1]);
								} else {
									if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
										$(dform+" ."+alcs).val(tval);
									} else {
										console.log('edMonthEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
								}
								break;
							case "edTimeEdit":
								mft = stid.attr("mft");alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										tval += ':00';
									}
									if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[1]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								} else {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[3]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[4]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								}
								$(dform+" ."+alcs+"_H").val(dateArray[0]);
								$(dform+" ."+alcs+"_i").val(dateArray[1]);
								if (mft == "HHiiss" && (dateArray[2])) {
									$(dform+" ."+alcs+"_s").val(dateArray[2]);
								}
								break;
							case "edComboList":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).val(tval);
								break;
							case "edCheckBox":
								alcs = stid.attr("alcs");
								if (tval == "1") {
									$(dform+" ."+alcs).prop("checked",true);
								} else {
									$(dform+" ."+alcs).prop("checked",false);
								}
								break;
							case "edWebStr":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html(tval);
								break;
							case "edRadioGroup":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).prop("checked", false);
								$(dform+" ."+alcs+"_"+tval).prop("checked", true);
								break;
							case "edWebReplace":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).hide();
								$(dform+" ."+alcs+"_"+tval).show();
								break;
							default:
								htpe = stid.attr("htpe");
								if ((htpe) && htpe == "edFloat") {
									if (tval) tval = tval.toString().replace(/,/g,'');
									mft = stid.attr("mft");
									scale = stid.attr("scale");
									if (mft == 1) tval = FloatCeil(tval, scale);
									else if (mft == 2) tval = FloatFloor(tval, scale);
									else tval = FloatRound(tval, scale);
								}
								break;
						}
					} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
						switch (objt) {
							case "edFloat":
							case "edNumeric":
							case "edEditBtnF":
								if (tval) tval = tval.toString().replace(/,/g,'');
								mft = stid.attr("mft");
								scale = stid.attr("scale");
								if (mft == 1) tval = FloatCeil(tval, scale);
								else if (mft == 2) tval = FloatFloor(tval, scale);
								else tval = FloatRound(tval, scale);
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html(tval);
								break;
							case "edComboList":
							case "edRadioGroup":
							case "edWebReplace":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).hide();
								$(dform+" ."+alcs+"_"+tval).show();
								break;
							case "edCheckBox":
								alcs = stid.attr("alcs");
								if (tval == "1") {
									$(dform+" ."+alcs).html('Y');
								} else {
									$(dform+" ."+alcs).html('N');
								}
								break;
							case "edyymmEdit":
								mft = stid.attr("mft");
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edyymmEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									switch (mft) {
										case "mmyy":
											$(dform+" ."+alcs).html((('0'+dateArray[1]).substr(-2, 2))+'/'+dateArray[0]);
											break;
										case "yymm":
										default:
											$(dform+" ."+alcs).html(dateArray[0]+'/'+(('0'+dateArray[1]).substr(-2, 2)));
											break;
									}
								} else {
									switch (mft) {
										case "mmyy":
											if (!tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
												console.log('edyymmEdit error[2]('+tval+')!');
												tval = stid.attr("defv");
											}
											break;
										case "yymm":
										default:
											if (!tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
												console.log('edyymmEdit error[3]('+tval+')!');
												tval = stid.attr("defv");
											}
											break;
									}
									$(dform+" ."+alcs).html(tval);
								}
								break;
							case "edYearEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edYearEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(dateArray[0]);
								} else {
									if (!tval.match("^[0-2][0-9][0-9][0-9]$")) {
										console.log('edYearEdit error[2]('+tval+')!');
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(tval);
								}
								break;
							case "edMonthEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edMonthEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(dateArray[1]);
								} else {
									if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
										$(dform+" ."+alcs).html(tval);
									} else {
										console.log('edMonthEdit error[2]('+tval+')!');
										tval = stid.attr("defv");
										$(dform+" ."+alcs).html(tval);
									}
								}
								break;
							case "edTimeEdit":
								mft = stid.attr("mft");alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										tval += ':00';
									}
									if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[1]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								} else {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[3]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[4]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								}
								if (mft == "HHiiss" && (dateArray[2])) {
									$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]+':'+dateArray[2]);
								} else {
									$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]);
								}
								break;
							case "edEnNormal":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html('****');
								break;
							case "edPathImg":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs+" img").attr("src",tval);
								break;
							case "edNormal":
							case "edDateEdit":
							case "edGetNoDate":
							case "edEditBtn":
							case "edRichEdit":
							case "edWebStr":
							case "edCkEditor":
								alcs = stid.attr("alcs");
								if (alcs) $(dform+" ."+alcs).html(tval);
								break;
							default:
								htpe = stid.attr("htpe");
								if ((htpe) && htpe == "edFloat") {
									if (tval) tval = tval.toString().replace(/,/g,'');
									mft = stid.attr("mft");
									scale = stid.attr("scale");
									if (mft == 1) tval = FloatCeil(tval, scale);
									else if (mft == 2) tval = FloatFloor(tval, scale);
									else tval = FloatRound(tval, scale);
									alcs = stid.attr("alcs");
									$(dform+" ."+alcs).html(tval);
								}
								break;
						}
					}
					if (stid.length > 0) stid.val(tval);
					break;
				case "IVAL":
					stid = $(dform+" #"+data[i].FIELDVAL);
					tval = data[i].FIELDSRC;
					objt = stid.attr("objt");
					if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
						switch (objt) {
							case "edFloat":
							case "edNumeric":
							case "edEditBtnF":
								if (tval) tval = tval.toString().replace(/,/g,'');
								mft = stid.attr("mft");
								scale = stid.attr("scale");
								if (mft == 1) tval = FloatCeil(tval, scale);
								else if (mft == 2) tval = FloatFloor(tval, scale);
								else tval = FloatRound(tval, scale);
								break;
							case "edyymmEdit":
								mft = stid.attr("mft");
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edyymmEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs+"_y").val(dateArray[0]);
									$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
								} else {
									switch (mft) {
										case "mmyy":
											if (tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[2]('+tval+')!');
												var dateArray = stid.attr("defv").split("/");
												tval = stid.attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[1]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[0]).substr(-2, 2)));
											break;
										case "yymm":
										default:
											if (tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[3]('+tval+')!');
												var dateArray = stid.attr("defv").split("/");
												tval = stid.attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[0]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
											break;
									}
								}
								break;
							case "edYearEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edYearEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).val(dateArray[0]);
								} else {
									if (tval.match("^[0-2][0-9][0-9][0-9]$")) {
										$(dform+" ."+alcs).val(tval);
									} else {
										console.log('edYearEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
								}
								break;
							case "edMonthEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edMonthEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).val(dateArray[1]);
								} else {
									if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
										$(dform+" ."+alcs).val(tval);
									} else {
										console.log('edMonthEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
								}
								break;
							case "edTimeEdit":
								mft = stid.attr("mft");alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										tval += ':00';
									}
									if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[1]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								} else {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[3]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[4]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								}
								$(dform+" ."+alcs+"_H").val(dateArray[0]);
								$(dform+" ."+alcs+"_i").val(dateArray[1]);
								if (mft == "HHiiss" && (dateArray[2])) {
									$(dform+" ."+alcs+"_s").val(dateArray[2]);
								}
								break;
							case "edComboList":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).val(tval);
								break;
							case "edCheckBox":
								alcs = stid.attr("alcs");
								if (tval == "1") {
									$(dform+" ."+alcs).prop("checked",true);
								} else {
									$(dform+" ."+alcs).prop("checked",false);
								}
								break;
							case "edWebStr":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html(tval);
								break;
							case "edRadioGroup":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).prop("checked", false);
								$(dform+" ."+alcs+"_"+tval).prop("checked", true);
								break;
							case "edWebReplace":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).hide();
								$(dform+" ."+alcs+"_"+tval).show();
								break;
							default:
								htpe = stid.attr("htpe");
								if ((htpe) && htpe == "edFloat") {
									if (tval) tval = tval.toString().replace(/,/g,'');
									mft = stid.attr("mft");
									scale = stid.attr("scale");
									if (mft == 1) tval = FloatCeil(tval, scale);
									else if (mft == 2) tval = FloatFloor(tval, scale);
									else tval = FloatRound(tval, scale);
								}
								break;
						}
					} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
						switch (objt) {
							case "edFloat":
							case "edNumeric":
							case "edEditBtnF":
								if (tval) tval = tval.toString().replace(/,/g,'');
								mft = stid.attr("mft");
								scale = stid.attr("scale");
								if (mft == 1) tval = FloatCeil(tval, scale);
								else if (mft == 2) tval = FloatFloor(tval, scale);
								else tval = FloatRound(tval, scale);
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html(tval);
								break;
							case "edComboList":
							case "edRadioGroup":
							case "edWebReplace":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).hide();
								$(dform+" ."+alcs+"_"+tval).show();
								break;
							case "edCheckBox":
								alcs = stid.attr("alcs");
								if (tval == "1") {
									$(dform+" ."+alcs).html('Y');
								} else {
									$(dform+" ."+alcs).html('N');
								}
								break;
							case "edyymmEdit":
								mft = stid.attr("mft");
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edyymmEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									switch (mft) {
										case "mmyy":
											$(dform+" ."+alcs).html((('0'+dateArray[1]).substr(-2, 2))+'/'+dateArray[0]);
											break;
										case "yymm":
										default:
											$(dform+" ."+alcs).html(dateArray[0]+'/'+(('0'+dateArray[1]).substr(-2, 2)));
											break;
									}
								} else {
									switch (mft) {
										case "mmyy":
											if (!tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
												console.log('edyymmEdit error[2]('+tval+')!');
												tval = stid.attr("defv");
											}
											break;
										case "yymm":
										default:
											if (!tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
												console.log('edyymmEdit error[3]('+tval+')!');
												tval = stid.attr("defv");
											}
											break;
									}
									$(dform+" ."+alcs).html(tval);
								}
								break;
							case "edYearEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edYearEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(dateArray[0]);
								} else {
									if (!tval.match("^[0-2][0-9][0-9][0-9]$")) {
										console.log('edYearEdit error[2]('+tval+')!');
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(tval);
								}
								break;
							case "edMonthEdit":
								alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edDateEdit") {
									if (IsCheckDate(tval, "S111")) {
										var dateArray = tval.split("/");
									} else {
										console.log('edMonthEdit error[1]('+tval+')!');
										var dateArray = stid.attr("defv").split("/");
										tval = stid.attr("defv");
									}
									$(dform+" ."+alcs).html(dateArray[1]);
								} else {
									if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
										$(dform+" ."+alcs).html(tval);
									} else {
										console.log('edMonthEdit error[2]('+tval+')!');
										tval = stid.attr("defv");
										$(dform+" ."+alcs).html(tval);
									}
								}
								break;
							case "edTimeEdit":
								mft = stid.attr("mft");alcs = stid.attr("alcs");
								if (stid.attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										tval += ':00';
									}
									if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[1]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[2]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								} else {
									if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
										var dateArray = tval.split(":");
										if (parseInt(dateArray[0]) >= 24) {
											console.log('edTimeEdit error[3]('+tval+')!');
											var dateArray = stid.attr("defv").split(":");
											tval = stid.attr("defv");
										}
									} else {
										console.log('edTimeEdit error[4]('+tval+')!');
										var dateArray = stid.attr("defv").split(":");
										tval = stid.attr("defv");
									}
								}
								if (mft == "HHiiss" && (dateArray[2])) {
									$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]+':'+dateArray[2]);
								} else {
									$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]);
								}
								break;
							case "edEnNormal":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs).html('****');
								break;
							case "edPathImg":
								alcs = stid.attr("alcs");
								$(dform+" ."+alcs+" img").attr("src",tval);
								break;
							case "edNormal":
							case "edDateEdit":
							case "edGetNoDate":
							case "edEditBtn":
							case "edRichEdit":
							case "edWebStr":
							case "edCkEditor":
								alcs = stid.attr("alcs");
								if (alcs) $(dform+" ."+alcs).html(tval);
								break;
							default:
								htpe = stid.attr("htpe");
								if ((htpe) && htpe == "edFloat") {
									if (tval) tval = tval.toString().replace(/,/g,'');
									mft = stid.attr("mft");
									scale = stid.attr("scale");
									if (mft == 1) tval = FloatCeil(tval, scale);
									else if (mft == 2) tval = FloatFloor(tval, scale);
									else tval = FloatRound(tval, scale);
									alcs = stid.attr("alcs");
									$(dform+" ."+alcs).html(tval);
								}
								break;
						}
					}
					if (stid.length > 0) stid.val(tval);
					break;
				case "NVAL":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(){
							tval = data[i].FIELDSRC;
							objt = $(this).attr("objt");
							if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
								switch (objt) {
									case "edFloat":
									case "edNumeric":
									case "edEditBtnF":
										if (tval) tval = tval.toString().replace(/,/g,'');
										mft = $(this).attr("mft");
										scale = $(this).attr("scale");
										if (mft == 1) tval = FloatCeil(tval, scale);
										else if (mft == 2) tval = FloatFloor(tval, scale);
										else tval = FloatRound(tval, scale);
										break;
									case "edyymmEdit":
										mft = $(this).attr("mft");
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[0]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
										} else {
											switch (mft) {
												case "mmyy":
													if (tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
														var dateArray = tval.split("/");
													} else {
														console.log('edyymmEdit error[2]('+tval+')!');
														var dateArray = $(this).attr("defv").split("/");
														tval = $(this).attr("defv");
													}
													$(dform+" ."+alcs+"_y").val(dateArray[1]);
													$(dform+" ."+alcs+"_m").val((('0'+dateArray[0]).substr(-2, 2)));
													break;
												case "yymm":
												default:
													if (tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
														var dateArray = tval.split("/");
													} else {
														console.log('edyymmEdit error[3]('+tval+')!');
														var dateArray = $(this).attr("defv").split("/");
														tval = $(this).attr("defv");
													}
													$(dform+" ."+alcs+"_y").val(dateArray[0]);
													$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
													break;
											}
										}
										break;
									case "edYearEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edYearEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).val(dateArray[0]);
										} else {
											if (tval.match("^[0-2][0-9][0-9][0-9]$")) {
												$(dform+" ."+alcs).val(tval);
											} else {
												console.log('edYearEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
										}
										break;
									case "edMonthEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edMonthEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).val(dateArray[1]);
										} else {
											if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
												$(dform+" ."+alcs).val(tval);
											} else {
												console.log('edMonthEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
										}
										break;
									case "edTimeEdit":
										mft = $(this).attr("mft");alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												tval += ':00';
											}
											if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[1]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										} else {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[3]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[4]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										}
										$(dform+" ."+alcs+"_H").val(dateArray[0]);
										$(dform+" ."+alcs+"_i").val(dateArray[1]);
										if (mft == "HHiiss" && (dateArray[2])) {
											$(dform+" ."+alcs+"_s").val(dateArray[2]);
										}
										break;
									case "edComboList":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).val(tval);
										break;
									case "edCheckBox":
										alcs = $(this).attr("alcs");
										if (tval == "1") {
											$(dform+" ."+alcs).prop("checked",true);
										} else {
											$(dform+" ."+alcs).prop("checked",false);
										}
										break;
									case "edWebStr":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html(tval);
										break;
									case "edRadioGroup":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).prop("checked", false);
										$(dform+" ."+alcs+"_"+tval).prop("checked", true);
										break;
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).hide();
										$(dform+" ."+alcs+"_"+tval).show();
										break;
									default:
										htpe = $(this).attr("htpe");
										if ((htpe) && htpe == "edFloat") {
											if (tval) tval = tval.toString().replace(/,/g,'');
											mft = $(this).attr("mft");
											scale = $(this).attr("scale");
											if (mft == 1) tval = FloatCeil(tval, scale);
											else if (mft == 2) tval = FloatFloor(tval, scale);
											else tval = FloatRound(tval, scale);
										}
										break;
								}
							} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
								switch (objt) {
									case "edFloat":
									case "edNumeric":
									case "edEditBtnF":
										if (tval) tval = tval.toString().replace(/,/g,'');
										mft = $(this).attr("mft");
										scale = $(this).attr("scale");
										if (mft == 1) tval = FloatCeil(tval, scale);
										else if (mft == 2) tval = FloatFloor(tval, scale);
										else tval = FloatRound(tval, scale);
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html(tval);
										break;
									case "edComboList":
									case "edRadioGroup":
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).hide();
										$(dform+" ."+alcs+"_"+tval).show();
										break;
									case "edCheckBox":
										alcs = $(this).attr("alcs");
										if (tval == "1") {
											$(dform+" ."+alcs).html('Y');
										} else {
											$(dform+" ."+alcs).html('N');
										}
										break;
									case "edyymmEdit":
										mft = $(this).attr("mft");
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											switch (mft) {
												case "mmyy":
													$(dform+" ."+alcs).html((('0'+dateArray[1]).substr(-2, 2))+'/'+dateArray[0]);
													break;
												case "yymm":
												default:
													$(dform+" ."+alcs).html(dateArray[0]+'/'+(('0'+dateArray[1]).substr(-2, 2)));
													break;
											}
										} else {
											switch (mft) {
												case "mmyy":
													if (!tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
														console.log('edyymmEdit error[2]('+tval+')!');
														tval = $(this).attr("defv");
													}
													break;
												case "yymm":
												default:
													if (!tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
														console.log('edyymmEdit error[3]('+tval+')!');
														tval = $(this).attr("defv");
													}
													break;
											}
											$(dform+" ."+alcs).html(tval);
										}
										break;
									case "edYearEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edYearEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(dateArray[0]);
										} else {
											if (!tval.match("^[0-2][0-9][0-9][0-9]$")) {
												console.log('edYearEdit error[2]('+tval+')!');
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(tval);
										}
										break;
									case "edMonthEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edMonthEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(dateArray[1]);
										} else {
											if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
												$(dform+" ."+alcs).html(tval);
											} else {
												console.log('edMonthEdit error[2]('+tval+')!');
												tval = $(this).attr("defv");
												$(dform+" ."+alcs).html(tval);
											}
										}
										break;
									case "edTimeEdit":
										mft = $(this).attr("mft");alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												tval += ':00';
											}
											if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[1]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										} else {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[3]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[4]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										}
										if (mft == "HHiiss" && (dateArray[2])) {
											$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]+':'+dateArray[2]);
										} else {
											$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]);
										}
										break;
									case "edEnNormal":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html('****');
										break;
									case "edPathImg":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs+" img").attr("src",tval);
										break;
									case "edNormal":
									case "edDateEdit":
									case "edGetNoDate":
									case "edEditBtn":
									case "edRichEdit":
									case "edWebStr":
									case "edCkEditor":
										alcs = $(this).attr("alcs");
										if (alcs) $(dform+" ."+alcs).html(tval);
										break;
									default:
										htpe = $(this).attr("htpe");
										if ((htpe) && htpe == "edFloat") {
											if (tval) tval = tval.toString().replace(/,/g,'');
											mft = $(this).attr("mft");
											scale = $(this).attr("scale");
											if (mft == 1) tval = FloatCeil(tval, scale);
											else if (mft == 2) tval = FloatFloor(tval, scale);
											else tval = FloatRound(tval, scale);
											alcs = $(this).attr("alcs");
											$(dform+" ."+alcs).html(tval);
										}
										break;
								}
							}
							$(this).val(tval);
						});
					}
					break;
				case "ARY":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(j){
							tval = data[i].FIELDSRC[j];
							objt = $(this).attr("objt");
							if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
								switch (objt) {
									case "edFloat":
									case "edNumeric":
									case "edEditBtnF":
										if (tval) tval = tval.toString().replace(/,/g,'');
										mft = $(this).attr("mft");
										scale = $(this).attr("scale");
										if (mft == 1) tval = FloatCeil(tval, scale);
										else if (mft == 2) tval = FloatFloor(tval, scale);
										else tval = FloatRound(tval, scale);
										break;
									case "edyymmEdit":
										mft = $(this).attr("mft");
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs+"_y").val(dateArray[0]);
											$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
										} else {
											switch (mft) {
												case "mmyy":
													if (tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
														var dateArray = tval.split("/");
													} else {
														console.log('edyymmEdit error[2]('+tval+')!');
														var dateArray = $(this).attr("defv").split("/");
														tval = $(this).attr("defv");
													}
													$(dform+" ."+alcs+"_y").val(dateArray[1]);
													$(dform+" ."+alcs+"_m").val((('0'+dateArray[0]).substr(-2, 2)));
													break;
												case "yymm":
												default:
													if (tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
														var dateArray = tval.split("/");
													} else {
														console.log('edyymmEdit error[3]('+tval+')!');
														var dateArray = $(this).attr("defv").split("/");
														tval = $(this).attr("defv");
													}
													$(dform+" ."+alcs+"_y").val(dateArray[0]);
													$(dform+" ."+alcs+"_m").val((('0'+dateArray[1]).substr(-2, 2)));
													break;
											}
										}
										break;
									case "edYearEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edYearEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).val(dateArray[0]);
										} else {
											if (tval.match("^[0-2][0-9][0-9][0-9]$")) {
												$(dform+" ."+alcs).val(tval);
											} else {
												console.log('edYearEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
										}
										break;
									case "edMonthEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edMonthEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).val(dateArray[1]);
										} else {
											if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
												$(dform+" ."+alcs).val(tval);
											} else {
												console.log('edMonthEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
										}
										break;
									case "edTimeEdit":
										mft = $(this).attr("mft");alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												tval += ':00';
											}
											if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[1]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										} else {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[3]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[4]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										}
										$(dform+" ."+alcs+"_H").val(dateArray[0]);
										$(dform+" ."+alcs+"_i").val(dateArray[1]);
										if (mft == "HHiiss" && (dateArray[2])) {
											$(dform+" ."+alcs+"_s").val(dateArray[2]);
										}
										break;
									case "edComboList":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).val(tval);
										break;
									case "edCheckBox":
										alcs = $(this).attr("alcs");
										if (tval == "1") {
											$(dform+" ."+alcs).prop("checked",true);
										} else {
											$(dform+" ."+alcs).prop("checked",false);
										}
										break;
									case "edWebStr":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html(tval);
										break;
									case "edRadioGroup":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).prop("checked", false);
										$(dform+" ."+alcs+"_"+tval).prop("checked", true);
										break;
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).hide();
										$(dform+" ."+alcs+"_"+tval).show();
										break;
									default:
										htpe = $(this).attr("htpe");
										if ((htpe) && htpe == "edFloat") {
											if (tval) tval = tval.toString().replace(/,/g,'');
											mft = $(this).attr("mft");
											scale = $(this).attr("scale");
											if (mft == 1) tval = FloatCeil(tval, scale);
											else if (mft == 2) tval = FloatFloor(tval, scale);
											else tval = FloatRound(tval, scale);
										}
										break;
								}
							} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
								switch (objt) {
									case "edFloat":
									case "edNumeric":
									case "edEditBtnF":
										if (tval) tval = tval.toString().replace(/,/g,'');
										mft = $(this).attr("mft");
										scale = $(this).attr("scale");
										if (mft == 1) tval = FloatCeil(tval, scale);
										else if (mft == 2) tval = FloatFloor(tval, scale);
										else tval = FloatRound(tval, scale);
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html(tval);
										break;
									case "edComboList":
									case "edRadioGroup":
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).hide();
										$(dform+" ."+alcs+"_"+tval).show();
										break;
									case "edCheckBox":
										alcs = $(this).attr("alcs");
										if (tval == "1") {
											$(dform+" ."+alcs).html('Y');
										} else {
											$(dform+" ."+alcs).html('N');
										}
										break;
									case "edyymmEdit":
										mft = $(this).attr("mft");
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edyymmEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											switch (mft) {
												case "mmyy":
													$(dform+" ."+alcs).html((('0'+dateArray[1]).substr(-2, 2))+'/'+dateArray[0]);
													break;
												case "yymm":
												default:
													$(dform+" ."+alcs).html(dateArray[0]+'/'+(('0'+dateArray[1]).substr(-2, 2)));
													break;
											}
										} else {
											switch (mft) {
												case "mmyy":
													if (!tval.match("^[0-1]?[0-9][/][0-2][0-9][0-9][0-9]$")) {
														console.log('edyymmEdit error[2]('+tval+')!');
														tval = $(this).attr("defv");
													}
													break;
												case "yymm":
												default:
													if (!tval.match("^[0-2][0-9][0-9][0-9][/][0-1]?[0-9]$")) {
														console.log('edyymmEdit error[3]('+tval+')!');
														tval = $(this).attr("defv");
													}
													break;
											}
											$(dform+" ."+alcs).html(tval);
										}
										break;
									case "edYearEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edYearEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(dateArray[0]);
										} else {
											if (!tval.match("^[0-2][0-9][0-9][0-9]$")) {
												console.log('edYearEdit error[2]('+tval+')!');
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(tval);
										}
										break;
									case "edMonthEdit":
										alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edDateEdit") {
											if (IsCheckDate(tval, "S111")) {
												var dateArray = tval.split("/");
											} else {
												console.log('edMonthEdit error[1]('+tval+')!');
												var dateArray = $(this).attr("defv").split("/");
												tval = $(this).attr("defv");
											}
											$(dform+" ."+alcs).html(dateArray[1]);
										} else {
											if (tval.match("^[0-1]?[0-9]$") && parseInt(tval) >= 1 && parseInt(tval) <= 12) {
												$(dform+" ."+alcs).html(tval);
											} else {
												console.log('edMonthEdit error[2]('+tval+')!');
												tval = $(this).attr("defv");
												$(dform+" ."+alcs).html(tval);
											}
										}
										break;
									case "edTimeEdit":
										mft = $(this).attr("mft");alcs = $(this).attr("alcs");
										if ($(this).attr("htpe") == "edTimeEdit" || mft == "HHiiss") {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												tval += ':00';
											}
											if (tval.match("^[0-2][0-9][:][0-5][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[1]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[2]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										} else {
											if (tval.match("^[0-2][0-9][:][0-5][0-9]$")) {
												var dateArray = tval.split(":");
												if (parseInt(dateArray[0]) >= 24) {
													console.log('edTimeEdit error[3]('+tval+')!');
													var dateArray = $(this).attr("defv").split(":");
													tval = $(this).attr("defv");
												}
											} else {
												console.log('edTimeEdit error[4]('+tval+')!');
												var dateArray = $(this).attr("defv").split(":");
												tval = $(this).attr("defv");
											}
										}
										if (mft == "HHiiss" && (dateArray[2])) {
											$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]+':'+dateArray[2]);
										} else {
											$(dform+" ."+alcs).html(dateArray[0]+':'+dateArray[1]);
										}
										break;
									case "edEnNormal":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs).html('****');
										break;
									case "edPathImg":
										alcs = $(this).attr("alcs");
										$(dform+" ."+alcs+" img").attr("src",tval);
										break;
									case "edNormal":
									case "edDateEdit":
									case "edGetNoDate":
									case "edEditBtn":
									case "edRichEdit":
									case "edWebStr":
									case "edCkEditor":
										alcs = $(this).attr("alcs");
										if (alcs) $(dform+" ."+alcs).html(tval);
										break;
									default:
										htpe = $(this).attr("htpe");
										if ((htpe) && htpe == "edFloat") {
											if (tval) tval = tval.toString().replace(/,/g,'');
											mft = $(this).attr("mft");
											scale = $(this).attr("scale");
											if (mft == 1) tval = FloatCeil(tval, scale);
											else if (mft == 2) tval = FloatFloor(tval, scale);
											else tval = FloatRound(tval, scale);
											alcs = $(this).attr("alcs");
											$(dform+" ."+alcs).html(tval);
										}
										break;
								}
							}
							$(this).val(tval);
						});
					}
					break;
				case "CNT":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					else if ($(dform+" div[name='"+data[i].FIELDVAL+"']").length > 0) itype = "div";
					if (itype == "") continue; else stid = $(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']");
					tval = data[i].FIELDSRC;objt = stid.attr("objt");
					switch (objt) {
						case "edComboList":
						case "edCheckBox":
						case "edRadioGroup":
						case "edEditBtn":
						case "edEditBtnF":
						case "edyymmEdit":
						case "edYearEdit":
						case "edMonthEdit":
						case "edTimeEdit":
							alcs = stid.attr("alcs");
							if (tval == 'Y') $(dform+" ."+alcs).prop("disabled", false);
							else if (tval == 'N') $(dform+" ."+alcs).prop("disabled", true);
							break;
						case "edNormal":
						case "edNumeric":
						case "edFloat":
						case "edDateEdit":
						case "edGetNoDate":
						case "edEnNormal":
						case "edRichEdit":
						case "edBotton":
						case "edMtodBtn":
						case "edSubBtn":
						case "edFileLoad":
						case "edSignature":
						case "edViewBtn":
						case "edProcBtn":
						case "edExportBtn":
						case "edImportBtn":
							if (tval == 'Y') stid.prop("disabled", false);
							else if (tval == 'N') stid.prop("disabled", true);
							break;
						case "edCkEditor":
							fld = stid.attr("tid");
							if (fld) {
								if (tval == 'Y') CKEDITOR.instances[fld].setReadOnly(false);
								else if (tval == 'N') CKEDITOR.instances[fld].setReadOnly(true);
							}
							break;
						case "edCustIcon":
						case "edDelIcon":
							if (tval == 'Y') stid.show();
							else if (tval == 'N') stid.hide();
							break;
						default:
							break;
					}
					break;
				case "ICNT":
					stid = $(dform+" #"+data[i].FIELDVAL);
					tval = data[i].FIELDSRC;
					objt = stid.attr("objt");
					switch (objt) {
						case "edComboList":
						case "edCheckBox":
						case "edRadioGroup":
						case "edEditBtn":
						case "edEditBtnF":
						case "edyymmEdit":
						case "edYearEdit":
						case "edMonthEdit":
						case "edTimeEdit":
							alcs = stid.attr("alcs");
							if (tval == 'Y') $(dform+" ."+alcs).prop("disabled", false);
							else if (tval == 'N') $(dform+" ."+alcs).prop("disabled", true);
							break;
						case "edNormal":
						case "edNumeric":
						case "edFloat":
						case "edDateEdit":
						case "edGetNoDate":
						case "edEnNormal":
						case "edRichEdit":
						case "edBotton":
						case "edMtodBtn":
						case "edSubBtn":
						case "edFileLoad":
						case "edSignature":
						case "edViewBtn":
						case "edProcBtn":
						case "edExportBtn":
						case "edImportBtn":
							if (tval == 'Y') stid.prop("disabled", false);
							else if (tval == 'N') stid.prop("disabled", true);
							break;
						case "edCkEditor":
							fld = stid.attr("tid");
							if (fld) {
								if (tval == 'Y') CKEDITOR.instances[fld].setReadOnly(false);
								else if (tval == 'N') CKEDITOR.instances[fld].setReadOnly(true);
							}
							break;
						case "edCustIcon":
						case "edDelIcon":
							if (tval == 'Y') stid.show();
							else if (tval == 'N') stid.hide();
							break;
						default:
							break;
					}
					break;
				case "NCNT":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					else if ($(dform+" div[name='"+data[i].FIELDVAL+"']").length > 0) itype = "div";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(){
							tval = data[i].FIELDSRC;
							objt = $(this).attr("objt");
							switch (objt) {
								case "edComboList":
								case "edCheckBox":
								case "edRadioGroup":
								case "edEditBtn":
								case "edEditBtnF":
								case "edyymmEdit":
								case "edYearEdit":
								case "edMonthEdit":
								case "edTimeEdit":
									alcs = $(this).attr("alcs");
									if (tval == 'Y') $(dform+" ."+alcs).prop("disabled", false);
									else if (tval == 'N') $(dform+" ."+alcs).prop("disabled", true);
									break;
								case "edNormal":
								case "edNumeric":
								case "edFloat":
								case "edDateEdit":
								case "edGetNoDate":
								case "edEnNormal":
								case "edRichEdit":
								case "edBotton":
								case "edMtodBtn":
								case "edSubBtn":
								case "edFileLoad":
								case "edSignature":
								case "edViewBtn":
								case "edProcBtn":
								case "edExportBtn":
								case "edImportBtn":
									if (tval == 'Y') $(this).prop("disabled", false);
									else if (tval == 'N') $(this).prop("disabled", true);
									break;
								case "edCkEditor":
									fld = $(this).attr("tid");
									if (fld) {
										if (tval == 'Y') CKEDITOR.instances[fld].setReadOnly(false);
										else if (tval == 'N') CKEDITOR.instances[fld].setReadOnly(true);
									}
									break;
								case "edCustIcon":
								case "edDelIcon":
									if (tval == 'Y') $(this).show();
									else if (tval == 'N') $(this).hide();
									break;
								default:
									break;
							}
						});
					}
					break;
				case "ACNT":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					else if ($(dform+" div[name='"+data[i].FIELDVAL+"']").length > 0) itype = "div";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(j){
							tval = data[i].FIELDSRC[j];
							objt = $(this).attr("objt");
							switch (objt) {
								case "edComboList":
								case "edCheckBox":
								case "edRadioGroup":
								case "edEditBtn":
								case "edEditBtnF":
								case "edyymmEdit":
								case "edYearEdit":
								case "edMonthEdit":
								case "edTimeEdit":
									alcs = $(this).attr("alcs");
									if (tval == 'Y') $(dform+" ."+alcs).prop("disabled", false);
									else if (tval == 'N') $(dform+" ."+alcs).prop("disabled", true);
									break;
								case "edNormal":
								case "edNumeric":
								case "edFloat":
								case "edDateEdit":
								case "edGetNoDate":
								case "edEnNormal":
								case "edRichEdit":
								case "edBotton":
								case "edMtodBtn":
								case "edSubBtn":
								case "edFileLoad":
								case "edSignature":
								case "edViewBtn":
								case "edProcBtn":
								case "edExportBtn":
								case "edImportBtn":
									if (tval == 'Y') $(this).prop("disabled", false);
									else if (tval == 'N') $(this).prop("disabled", true);
									break;
								case "edCkEditor":
									fld = $(this).attr("tid");
									if (fld) {
										if (tval == 'Y') CKEDITOR.instances[fld].setReadOnly(false);
										else if (tval == 'N') CKEDITOR.instances[fld].setReadOnly(true);
									}
									break;
								case "edCustIcon":
								case "edDelIcon":
									if (tval == 'Y') $(this).show();
									else if (tval == 'N') $(this).hide();
									break;
								default:
									break;
							}
						});
					}
					break;
				case "SET":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue; else stid = $(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']");
					sect = (data[i].FIELDSRC) ? data[i].FIELDSRC : [];
					objt = stid.attr("objt");fld = stid.attr("id");
					ditem = data[i].FIELDPAGE;field = data[i].FIELDFD;
					if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
						switch (objt) {
							case "edComboList":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<option value=\""+sect[j]+"\"";
											if (sect[j] == stid.val()) {
												hstr += " selected";
											}
											hstr += ">"+sect[j]+"</option>";
										} else {
											tval = sect[j].split(".");
											hstr += "<option value=\""+tval[0]+"\"";
											if (tval[0] == stid.val()) {
												hstr += " selected";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</option>";
										}
									}
								}
								$(dform+" ."+alcs).find("option").remove().end();
								if(hstr){
									$(dform+" ."+alcs).append(hstr);
									stid.val($(dform+" ."+alcs).val());
								}
								break;
							case "edRadioGroup":
								break;
							case "edWebReplace":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													alcs+" "+alcs+"_"+sect[j]+"\"";
											if (sect[j] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											hstr += ">"+sect[j]+"</div>";
										} else {
											tval = sect[j].split(".");
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													alcs+" "+alcs+"_"+tval[0]+"\"";
											if (tval[0] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</div>";
										}
									}
								}
								$(dform+" ."+alcs).closest("div").empty().append(hstr);
								break;
							default:
								break;
						}
					} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
						switch (objt) {
							case "edComboList":
							case "edRadioGroup":
							case "edWebReplace":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													fld+"_spa "+fld+"_spa_"+sect[j]+"\"";
											if (sect[j] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											hstr += ">"+sect[j]+"</div>";
										} else {
											tval = sect[j].split(".");
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													fld+"_spa "+fld+"_spa_"+tval[0]+"\"";
											if (tval[0] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</div>";
										}
									}
								}
								$(dform+" ."+alcs).empty().append(hstr);
								break;
							default:
								break;
						}
					}
					break;
				case "ISET":
					stid = $(dform+" #"+data[i].FIELDVAL);
					sect = (data[i].FIELDSRC) ? data[i].FIELDSRC : [];
					objt = stid.attr("objt");fld = stid.attr("id");
					ditem = data[i].FIELDPAGE;field = data[i].FIELDFD;
					if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
						switch (objt) {
							case "edComboList":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<option value=\""+sect[j]+"\"";
											if (sect[j] == stid.val()) {
												hstr += " selected";
											}
											hstr += ">"+sect[j]+"</option>";
										} else {
											tval = sect[j].split(".");
											hstr += "<option value=\""+tval[0]+"\"";
											if (tval[0] == stid.val()) {
												hstr += " selected";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</option>";
										}
									}
								}
								$(dform+" ."+alcs).find("option").remove().end();
								if(hstr){
									$(dform+" ."+alcs).append(hstr);
									stid.val($(dform+" ."+alcs).val());
								}
								break;
							case "edRadioGroup":
								break;
							case "edWebReplace":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													alcs+" "+alcs+"_"+sect[j]+"\"";
											if (sect[j] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											hstr += ">"+sect[j]+"</div>";
										} else {
											tval = sect[j].split(".");
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													alcs+" "+alcs+"_"+tval[0]+"\"";
											if (tval[0] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</div>";
										}
									}
								}
								$(dform+" ."+alcs).closest("div").empty().append(hstr);
								break;
							default:
								break;
						}
					} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
						switch (objt) {
							case "edComboList":
							case "edRadioGroup":
							case "edWebReplace":
								alcs = stid.attr("alcs");
								if (sect.length > 0) {
									for (var j=0; j < sect.length; j++) {
										if (sect[j].match(/\./) == null) {
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													fld+"_spa "+fld+"_spa_"+sect[j]+"\"";
											if (sect[j] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											hstr += ">"+sect[j]+"</div>";
										} else {
											tval = sect[j].split(".");
											hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
													fld+"_spa "+fld+"_spa_"+tval[0]+"\"";
											if (tval[0] != stid.val()) {
												hstr += " style=\"display:none\"";
											}
											tval.shift();
											hstr += ">"+tval.join('')+"</div>";
										}
									}
								}
								$(dform+" ."+alcs).empty().append(hstr);
								break;
							default:
								break;
						}
					}
					break;
				case "NSET":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(){
							sect = (data[i].FIELDSRC) ? data[i].FIELDSRC : [];
							hstr = "";objt = $(this).attr("objt");fld = $(this).attr("id");
							ditem = data[i].FIELDPAGE;field = data[i].FIELDFD;
							if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
								switch (objt) {
									case "edComboList":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var j=0; j < sect.length; j++) {
												if (sect[j].match(/\./) == null) {
													hstr += "<option value=\""+sect[j]+"\"";
													if (sect[j] == $(this).val()) {
														hstr += " selected";
													}
													hstr += ">"+sect[j]+"</option>";
												} else {
													tval = sect[j].split(".");
													hstr += "<option value=\""+tval[0]+"\"";
													if (tval[0] == $(this).val()) {
														hstr += " selected";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</option>";
												}
											}
										}
										$(dform+" ."+alcs).find("option").remove().end();
										if(hstr){
											$(dform+" ."+alcs).append(hstr);
											$(this).val($(dform+" ."+alcs).val());
										}
										break;
									case "edRadioGroup":
										break;
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var j=0; j < sect.length; j++) {
												if (sect[j].match(/\./) == null) {
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															alcs+" "+alcs+"_"+sect[j]+"\"";
													if (sect[j] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													hstr += ">"+sect[j]+"</div>";
												} else {
													tval = sect[j].split(".");
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															alcs+" "+alcs+"_"+tval[0]+"\"";
													if (tval[0] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</div>";
												}
											}
										}
										$(dform+" ."+alcs).closest("div").empty().append(hstr);
										break;
									default:
										break;
								}
							} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
								switch (objt) {
									case "edComboList":
									case "edRadioGroup":
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var j=0; j < sect.length; j++) {
												if (sect[j].match(/\./) == null) {
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															fld+"_spa "+fld+"_spa_"+sect[j]+"\"";
													if (sect[j] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													hstr += ">"+sect[j]+"</div>";
												} else {
													tval = sect[j].split(".");
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															fld+"_spa "+fld+"_spa_"+tval[0]+"\"";
													if (tval[0] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</div>";
												}
											}
										}
										$(dform+" ."+alcs).empty().append(hstr);
										break;
									default:
										break;
								}
							}
						});
					}
					break;
				case "ASET":
					if ($(dform+" input[name='"+data[i].FIELDVAL+"']").length > 0) itype = "input";
					else if ($(dform+" textarea[name='"+data[i].FIELDVAL+"']").length > 0) itype = "textarea";
					if (itype == "") continue;
					else {
						$(dform+" "+itype+"[name='"+data[i].FIELDVAL+"']").each(function(j){
							sect = (data[i].FIELDSRC[j]) ? data[i].FIELDSRC[j] : [];
							hstr = "";objt = $(this).attr("objt");fld = $(this).attr("id");
							ditem = data[i].FIELDPAGE;field = data[i].FIELDFD;
							if ((data[i].FIELDTP) && data[i].FIELDTP == "E") {
								switch (objt) {
									case "edComboList":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var k=0; k < sect.length; k++) {
												if (sect[k].match(/\./) == null) {
													hstr += "<option value=\""+sect[k]+"\"";
													if (sect[k] == $(this).val()) {
														hstr += " selected";
													}
													hstr += ">"+sect[k]+"</option>";
												} else {
													tval = sect[k].split(".");
													hstr += "<option value=\""+tval[0]+"\"";
													if (tval[0] == $(this).val()) {
														hstr += " selected";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</option>";
												}
											}
										}
										$(dform+" ."+alcs).find("option").remove().end();
										if(hstr){
											$(dform+" ."+alcs).append(hstr);
											$(this).val($(dform+" ."+alcs).val());
										}
										break;
									case "edRadioGroup":
										break;
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var j=0; j < sect.length; j++) {
												if (sect[j].match(/\./) == null) {
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															alcs+" "+alcs+"_"+sect[j]+"\"";
													if (sect[j] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													hstr += ">"+sect[j]+"</div>";
												} else {
													tval = sect[j].split(".");
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															alcs+" "+alcs+"_"+tval[0]+"\"";
													if (tval[0] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</div>";
												}
											}
										}
										$(dform+" ."+alcs).closest("div").empty().append(hstr);
										break;
									default:
										break;
								}
							} else if ((data[i].FIELDTP) && data[i].FIELDTP == "V") {
								switch (objt) {
									case "edComboList":
									case "edRadioGroup":
									case "edWebReplace":
										alcs = $(this).attr("alcs");
										if (sect.length > 0) {
											for (var j=0; j < sect.length; j++) {
												if (sect[j].match(/\./) == null) {
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															fld+"_spa "+fld+"_spa_"+sect[j]+"\"";
													if (sect[j] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													hstr += ">"+sect[j]+"</div>";
												} else {
													tval = sect[j].split(".");
													hstr += "<div class=\"proj_all_spa "+ditem+"_all_spa "+ditem+"_"+field+"_spa "+
															fld+"_spa "+fld+"_spa_"+tval[0]+"\"";
													if (tval[0] != $(this).val()) {
														hstr += " style=\"display:none\"";
													}
													tval.shift();
													hstr += ">"+tval.join('')+"</div>";
												}
											}
										}
										$(dform+" ."+alcs).empty().append(hstr);
										break;
									default:
										break;
								}
							}
						});
					}
					break;
				case "BOX":
					if (data[i].FIELDHTML) {
						$('#popup_box').empty().append(data[i].FIELDHTML);
						$('#popup_close').hide();
						$('#page_popup').popup();
						$('#page_popup').popup('open', { x: 0, y: 0 });
					}
					break;
				case "RTD":
					if ((data[i].FIELDMDME) && (data[i].FIELDPAGE)) {
						hstr = data[i].FIELDHTML;ditem = data[i].FIELDPAGE;
						$(dform+' #tab_'+ditem+' a').click();
						switch (data[i].FIELDMDME) {
							case "DB":
								$(dform+' #'+ditem+'_db_list').empty().append(hstr);
								$('#'+ditem+'_db_list .hidden_'+ditem+' #dblt_type_'+ditem).val('E');
								break;
							case "D":
								switch (data[i].FIELDTP) {
									case "1":
										$(dform+' #table_'+ditem+' tbody').empty().append(hstr);
										break;
									case "2":
										$(dform+' #table_'+ditem+' tbody').append(hstr);
										break;
									case "0":
									default:
										break;
								}
								$(dform+' input[name="'+ditem+'_DERI[]"]').each( function() {
									$(dform+' #SERNO_'+$(this).val()).val($(this).closest('tr').index()+1);
									$(dform+' #SERNO_'+$(this).val()).attr('value',$(this).closest('tr').index()+1);
									$(dform+' #SERIAL_'+$(this).val()).html($(this).closest('tr').index()+1);
								});
								break;
							default:
								break;
						}
					}
					break;
				case "BOF":
					if ((data[i].BOXCLOSE) && data[i].BOXCLOSE == '1') close_popup_box();
					break;
				default:
					break;
			}
		}
	}
}